#include <bits/stdc++.h>
using namespace std;

int main(){
	ios_base::sync_with_stdio(false), cin.tie(nullptr);
	string S, C;
	cin >> S >> C;
	int N = (int)S.size();
	int M = (int)C.size();
	for(int l = 1; l < N; l++){
		int r = N-l;
		if(l == r+M || l == r+M-1){
			cout << S.substr(0, l) << ' ' << S.substr(l, r) << '\n';
			exit(0);
		}
	}
	assert(false);
}
